#ifndef LIBVORBIS_FILLPLUGINS_H
#define LIBVORBIS_FILLPLUGINS_H

#include "infotypes.h"

static void libvorbis_FillPlugins(avm::vector<CodecInfo>& ac)
{
    // just WAVE_FORMAT_EXTENSIBLE
    static const fourcc_t vorbis_codecs[] = { 0xFFFE, 0 };
    static const GUID vorbis_clsid =
    {
        0x6bA47966, 0x3F83, 0x4178,
	{0x96, 0x65, 0x00, 0xF0, 0xBF, 0x62, 0x92, 0xE5}
    };

    ac.push_back(CodecInfo(vorbis_codecs, "Vorbis decoder", "",
			   "",
			   CodecInfo::Plugin, "vorbis",
			   CodecInfo::Audio, CodecInfo::Decode, &vorbis_clsid));
}

#endif // LIBVORBIS_FILLPLUGINS_H
