#ifndef CONFIGDIALOG_IMPL_H
#define CONFIGDIALOG_IMPL_H

#include "configdialog.h"

class QListBoxItem;

class ConfigDialog_impl : public ConfigDialog
{
    Q_OBJECT

    QFont m_defFont;

    // copy of properties

    bool fontchange;
    bool pressed;
    bool inswap;
//    QListBoxItem* itemLast;
    int indexLast;

    int m_iAsyncOriginal;

public:
    ConfigDialog_impl( QWidget* parent, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ConfigDialog_impl();
    ~ConfigDialog_impl();
public slots:
    void onApply();
    void onOk();
    void onCancel();
    void onAsyncValChanged(int);
    void onAudioResamplingToggled();
    void onFont();
    void onProxyToggled();
    void onSelectionChanged(QListBoxItem*);
    void onListPressed(QListBoxItem*);
    void onListClicked(QListBoxItem*);
    void onMouseButtonPressed(int, QListBoxItem*, const QPoint&);
};

#endif // CONFIGDIALOG_IMPL_H
